Skip to main content
GET
/
billing
/
quote
/
public
/
{quote_id}
Get Public Quote
curl --request GET \
  --url https://api.decodahealth.com/billing/quote/public/{quote_id} \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
{
  "id": "<string>",
  "status": "DRAFT",
  "discountAmount": 123,
  "taxAmount": 123,
  "total": 123,
  "subtotal": 123,
  "title": "<string>",
  "description": "<string>",
  "terms": "<string>",
  "validUntilDate": "2023-11-07T05:31:56Z",
  "items": [],
  "createdDate": "2023-11-07T05:31:56Z",
  "viewedDate": "2023-11-07T05:31:56Z",
  "respondedDate": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

quote_id
string
required

Query Parameters

update_viewed_date
boolean
default:true

Whether to update the viewed date

Response

Successful Response

Public view of quote for patients.

id
string
required

Quote ID

status
enum<string>
required

Quote status

Available options:
DRAFT,
SENT,
VIEWED,
ACCEPTED,
DECLINED,
EXPIRED,
CONVERTED
discountAmount
integer
required

Total discount in cents

taxAmount
integer
required

Total tax in cents

total
integer
required

Final total in cents

subtotal
integer
required
read-only

Calculate subtotal from items after item-level discounts.

title
string | null

Title of the quote

description
string | null

Description of the quote

terms
string | null

Terms and conditions

validUntilDate
string<date-time> | null

When the quote expires

items
QuoteItem · object[]

Items and packages in the quote

createdDate
string<date-time> | null

Date the quote was created

viewedDate
string<date-time> | null

When the patient first viewed the quote

respondedDate
string<date-time> | null

When the patient responded to the quote